Status: Closed

Priority: High

Assignee: Even Rouault

Category: Attribute table

Affected QGIS version:2.14.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22878

Description

When I try to sort the columns in the attribute table (by clicking on the column name), with commit:7d7467f (qgis-rel-dev 2.14.3-7

OSGeo4W 64 bits), nothing happens, regardless of the field type.

Doing the same with commit:c260a77 (qgis 2.14.3-1) or commit:78bcd4b (qgis-dev 2.15.0-74), the sorting works fine.

Tested with postgis and shapefiles datasources.

Associated revisions

Revision 671850f6 - 2016-06-13 04:40 PM - Even Rouault

Fix sorting in attribute table

Regression introduced with 3ec3daeb14a047c3f4efdd8646a51b33661c28ce (2.14.3) where

QgsAttributeTableModel::data(index, SortRole) returned an empty variant.

Fixes #14927

History

#1 - 2016-06-09 02:52 AM - Luca Lanteri

Same problem using 2.14.3-Essen.

It can be considered a regression ?

#2 - 2016-06-13 07:42 AM - Even Rouault

- Status changed from Open to Closed

Fixed in changeset commit:"671850f66a580e5849c87a11d448b98dd7f338da".

#3 - 2016-06-13 07:44 AM - Even Rouault

- Resolution set to fixed/implemented

- Assignee set to Even Rouault
